Package net.shibboleth.idp.saml.xmlobject

# Interface ScopedValue

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `ScopedValueImpl`

public interface ScopedValue extends SAMLObject
XMLObject that represents a SAML attribute value whose value contains a scope attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getScope()`
Gets the scope value.
`String`
`getScopeAttributeName()`
Gets the name of the scope attribute.
`String`
`getValue()`
Get the attribute value.
`void`
`setScope(String scope)`
Sets the scope value.
`void`
`setScopeAttributeName(String attribute)`
Sets the name of the scope attribute.
`void`
`setValue(String newContent)`
Set the attribute value.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getScopeAttributeName

@Nullable String getScopeAttributeName()
Gets the name of the scope attribute.

Returns:
  name of the scope attribute

### setScopeAttributeName

void setScopeAttributeName(@Nullable String attribute)
Sets the name of the scope attribute.

Parameters:
  `attribute` - name of the scope attribute

### getScope

@Nullable String getScope()
Gets the scope value.

Returns:
  scope value

### setScope

void setScope(@Nullable String scope)
Sets the scope value.

Parameters:
  `scope` - scope value

### getValue

@Nullable String getValue()
Get the attribute value.

Returns:
  the attribute value.

### setValue

void setValue(@Nullable String newContent)
Set the attribute value.

Parameters:
  `newContent` - the new attribute value